--KHT globals

KHT_NUM_BARS = 11;
KHT_NUM_OPTIONS = 11;
KHT_NUM_LABELS = 11;
KHT_NUM_SLIDERS = 7;

KHT_NUM_TIMERS = {
	[1] = 12,		-- Beast
	[2] = 9,		-- Marks
	[3] = 15,		-- Surv
	[4] = 11,		-- Pets
	[5] = 23,		-- Misc
	[6] = 47		-- Trinkets
};

KHT_OPTIONS_TIMERS = {
	[1] = {		-- Beast
		[1]  = KHT_BEAST,
		[2]  = KHT_CLEAVE,
		[3]  = KHT_BW,
		[4]  = KHT_COBRA_STRIKES,
		[5]  = KHT_DIRE,
		[6]  = KHT_FEED_PET,
		[7]  = KHT_FOCUS_FIRE,
		[8]  = KHT_PET_FRENZY,
		[9]  = KHT_INTIM,
		[10] = KHT_MEND_PET,
		[11] = KHT_CROWS,
		[12] = KHT_STAMPEDE
	},
	[2] = {		-- Marks
		[1]  = KHT_MARKS,
		[2]  = KHT_AUTO_SHOT,
		[3]  = KHT_CONC_SHOT,
		[4]  = KHT_FLARE,
		[5]  = KHT_GLAIVE,
		[6]  = KHT_RAPID_FIRE,
		[7]  = KHT_SNIPER,
		[8]  = KHT_STEADY_FOCUS,
		[9]  = KHT_THRILL
	},
	[3] = {		-- Surv
		[1]  = KHT_SURV,
		[2]  = KHT_BINDING,
		[3]  = KHT_BLACK_ARROW,
		[4]  = KHT_CAMO,
		[5]  = KHT_DETERRENCE,
		[6]  = KHT_ENTRAPMENT,
		[7]  = KHT_EXPL_SHOT,
		[8]  = KHT_EXPL_TRAP,
		[9]  = KHT_FREEZING_TRAP,
		[10] = KHT_FROST_TRAP,
		[11] = KHT_LOCK_LOAD,
		[12] = KHT_MISDIRECTION,
		[13] = KHT_SERPENT,
		[14] = KHT_SNAKE_TRAP,
		[15] = KHT_WYVERN
	},
	[4] = {		-- Pets
		[1]  = KHT_PETS,
		[2]  = KHT_ANKLE,
		[3]  = KHT_DASH,
		[4]  = KHT_FURIOUS,
		[5]  = KHT_STAND,
		[6]  = KHT_BITE,
		[7]  = KHT_COURAGE,
		[8]  = KHT_ROAR,
		[9]  = KHT_SHIELD,
		[10] = KHT_SPIRIT_MEND,
		[11] = KHT_WARP
	},
	[5] = {		-- Misc
		[1]  = KHT_MISC,
		[2]  = KHT_ARCANE,
		[3]  = KHT_ASHEN,
		[4]  = KHT_CHAMPION,
		[5]  = KHT_BEAST_4PC,
		[6]  = KHT_BERSERKING,
		[7]  = KHT_BLOOD_FURY,
		[8]  = KHT_BLOOD_HUNTER,
		[9]  = KHT_BLOODLUST,
		[10] = KHT_DESOLATION_4PC,
		[11] = KHT_DON_SANTOS,
		[12] = KHT_DRAGON_8PC,
		[13] = KHT_FLAMEWAKER,
		[14] = KHT_HEROISM,
		[15] = KHT_SAUROK,
		[16] = KHT_SCOURGE,
		[17] = KHT_STONEFORM,
		[18] = KHT_THUNDER,
		[19] = KHT_TIME_WARP,
		[20] = KHT_WAR_STOMP,
		[21] = KHT_WINDRUNNER,
		[22] = KHT_WYRMSTALKER,
		[23] = KHT_ZG
	},
	[6] = {		-- Trinkets
		[1]  = KHT_TRINKETS,
		[2]  = KHT_ABACUS,
		[3]  = KHT_ADWT,
		[4]  = KHT_ANVIL,
		[5]  = KHT_ATOS,
		[6]  = KHT_SWARMGUARD,
		[7]  = KHT_BEATING_HEART,
		[8]  = KHT_BERSERK_CALL,
		[9]  = KHT_BLADEFIST,
		[10] = KHT_BLOODLUST_BROOCH,
		[11] = KHT_ARKELOS,
		[12] = KHT_DARK_GREAT,
		[13] = KHT_DARK_MAD,
		[14] = KHT_DARK_WRATH,
		[15] = KHT_DEATHBRINGER,
		[16] = KHT_VERDICT,
		[17] = KHT_DEVIL_EYE,
		[18] = KHT_DST,
		[19] = KHT_EARTHSTRIKE,
		[20] = KHT_EMPTY_MUG,
		[21] = KHT_GRIM_TOLL,
		[22] = KHT_HOURGLASS,
		[23] = KHT_HUNGERER,
		[24] = KHT_INCISOR,
		[25] = KHT_JOM_GABBAR,
		[26] = KHT_KISS_SPIDER,
		[27] = KHT_LOATHEB,
		[28] = KHT_MOTB,
		[29] = KHT_METEORITE,
		[30] = KHT_MIRROR,
		[31] = KHT_MJOLNIR,
		[32] = KHT_NEEDLE,
		[33] = KHT_NIGHTSEYE,
		[34] = KHT_OGRE,
		[35] = KHT_PYRITE_INFUSER,
		[36] = KHT_RELICXUEN,
		[37] = KHT_SCALES,
		[38] = KHT_SHARP_SCALE,
		[39] = KHT_SIGNET_EDWARD,
		[40] = KHT_SKULL_WAR,
		[41] = KHT_SKY_CROSS,
		[42] = KHT_TALON_ALAR,
		[43] = KHT_TTP,
		[44] = KHT_TSUNAMI_TALISMAN,
		[45] = KHT_UNITING,
		[46] = KHT_FANGED_SKULL,
		[47] = KHT_HERO_MEDALLION
	}
};

KHT_OPTIONS_BARS = {
	[1] = KHT_OPTIONS_LOCK,
	[2] = KHT_OPTIONS_COLOR_CHANGE,
	[3] = KHT_OPTIONS_SHOW_TEX,
	[4] = KHT_OPTIONS_LARGE_TEX,
	[5] = KHT_OPTIONS_HIDE_GAP,
	[6] = KHT_OPTIONS_APPEND,
	[7] = KHT_OPTIONS_HIDE_PADDING,
	[8] = KHT_OPTIONS_HIDE_TEXT,
	[9] = KHT_OPTIONS_HIDE_TIME,
	[10] = KHT_OPTIONS_STICKY,
	[11] = KHT_OPTIONS_DOWN
};

KHT_OPTIONS_LABELS = {
	[1] = KHT_OPTIONS_BARS_TEXT,
	[2] = KHT_OPTIONS_BORDER,
	[3] = KHT_OPTIONS_BARSTART,
	[4] = KHT_OPTIONS_TEXT_COLOR,
	[5] = KHT_OPTIONS_BACKDROP,
	[6] = KHT_OPTIONS_BAREND,
	[7] = KHT_OPTIONS_TIME_COLOR,
	[8] = KHT_OPTIONS_SHOT_DELAY,
	[9] = KHT_OPTIONS_MILI,
	[10] = KHT_OPTIONS_TARGET_COLOR,
	[11] = KHT_OPTIONS_TEXTURE
};

KHT_OPTIONS_SLIDER = {
	[1] = KHT_OPTIONS_BAR_DIST,
	[2] = KHT_OPTIONS_SCALE,
	[3] = KHT_OPTIONS_DECIMALS,
	[4] = KHT_OPTIONS_FLASH,
	[5] = KHT_OPTIONS_STEP,
	[6] = KHT_OPTIONS_OVERALL_OPACITY,
	[7] = KHT_OPTIONS_BAR_THICKNESS
};

KHT_OPTIONS_SLIDER_ENDS = {
	[1] = {
		[1] = "0",
		[2] = "10"
	},
	[2] = {
		[1] = "50%",
		[2] = "150%"
	},
	[3] = {
		[1] = KHT_OFF,
		[2] = "3"
	},
	[4] = {
		[1] = KHT_OFF,
		[2] = "10"
	},
	[5] = {
		[1] = "0.01",
		[2] = "0.05"
	},
	[6] = {
		[1] = "0%",
		[2] = "100%"
	},
	[7] = {
		[1] = "10",
		[2] = "32"
	}
};
